From f144e5f46c84f52f1cee18fac898b48899b15946 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Mon, 16 May 2022 10:18:26 +0200
Subject: [PATCH 20/34] Add support for ESLURM_AUTH_BADARG

Signed-off-by: Egbert Eich <eich@suse.com>
---
 slurm/slurm_errno.h      | 1 +
 src/common/slurm_errno.c | 3 ++-
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/slurm/slurm_errno.h b/slurm/slurm_errno.h
index e7c8deae3a..1814b30dfc 100644
--- a/slurm/slurm_errno.h
+++ b/slurm/slurm_errno.h
@@ -255,6 +255,7 @@ enum {
 	ESLURM_AUTH_FOPEN_ERROR,
 	ESLURM_AUTH_NET_ERROR,
 	ESLURM_AUTH_UNABLE_TO_SIGN,
+	ESLURM_AUTH_BADARG,
 
 	/* accounting errors */
 	ESLURM_DB_CONNECTION            = 7000,
diff --git a/src/common/slurm_errno.c b/src/common/slurm_errno.c
index 6276168ec5..9c42f7383a 100644
--- a/src/common/slurm_errno.c
+++ b/src/common/slurm_errno.c
@@ -428,7 +428,8 @@ static slurm_errtab_t slurm_errtab[] = {
 	  "Failed to open authentication public key"		},
 	{ ESLURM_AUTH_NET_ERROR,
 	  "Failed to connect to authentication agent"		},
-
+	{ ESLURM_AUTH_BADARG,
+          "Bad argument to plugin function"                     },
 	/* accounting errors */
 	{ ESLURM_DB_CONNECTION,
 	  "Unable to connect to database"			},
-- 
2.35.3


